# $Revision: 1.13 $, $Date: 2004/04/12 19:05:25 $
Summary:	A Pac-Man style game for the X Window System
Summary(de):	Spiel im PacMan-Stil fr X
Summary(es):	Juego tipo PacMan para X
Summary(fr):	Jeu de type PacMan pour X
Summary(pl):	Gra w stylu Pac-Mana pod X
Summary(pt_BR):	Jogo tipo PacMan para X
Summary(tr):	PacMan tarz bilgisayar oyunu
Name:		xchomp
Version:	1.0
Release:	19
License:	distributable
Group:		X11/Applications/Games
Source0:	ftp://ibiblio.org/pub/Linux/games/arcade/tetris/%{name}-linux.tar.z
# Source0-md5:	f1556376445f2f38e61dc1f774e0d155
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-imake.patch
URL:		http://www.chez.com/vidalc/xchomp/xchomp.html
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xchomp is an X Window System based game like Pac-Man.

%description -l de
Mit xchomp kommt ein Arcade-Klassiker auf Ihren Bildschirm, hat
hnlichkeiten mit PacMan. Nicht so umfangreich wie das Original, macht
aber trotzdem noch viel Spa!

%description -l es
El clsico PacMan llega a su pantalla con xchomp. No tan extenso como
el juego original, pero an muy genial!

%description -l fr
Le classique du jeu d'action sur arcade arrive sur votre ecran avec
xchomp, le clone du jeu PacMan.Il n'est certes pas aussi complet que
l'original, mais vous promet tout de meme de bon moments.

%description -l pl
xchomp jest gr podobn do Pac-Mana pod X Window System.

%description -l pt_BR
O clssico PacMan chega a sua tela com xchomp. No to extenso quanto
o jogo original, mas ainda muito legal!

%description -l tr
xchomp, PacMan'in (dobiko) Linux'a uyarlanm hali.

%prep
%setup -q -n xchomp
%patch -p1

%build
xmkmf
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags} -DFRAME_DELAY=2000"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xchomp.spec,v $
Revision 1.13  2004/04/12 19:05:25  qboosh
- updated imake patch, moved to /usr, switched to vfolders; release 19 for Ac

Revision 1.12  2004/03/06 23:08:54  adamg
- proper group

Revision 1.11  2003/05/28 13:03:03  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:28:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/10/28 07:03:43  kloczek
- fix in %install.

Revision 1.8  2002/10/28 00:18:45  kloczek
- release 18: use new %doc and move desktop file to Games/Arcade/.

Revision 1.7  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:02  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/05 16:43:11  kloczek
- release 17.

Revision 1.3  2001/07/05 16:03:56  qboosh
- BuildRequires: XFree86-devel

Revision 1.2  2001/07/05 07:26:00  kloczek
- more translations from old Bero and Conectiva spec files,
- added Icon for desktop file.

Revision 1.1  2001/07/04 22:22:46  qboosh
- taken from RH PowerTools
